/**
 * Copyright (C) 2012 Selventa, Inc.
 *
 * This file is part of the OpenBEL Framework.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The OpenBEL Framework is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with the OpenBEL Framework. If not, see <http://www.gnu.org/licenses/>.
 *
 * Additional Terms under LGPL v3:
 *
 * This license does not authorize you and you are prohibited from using the
 * name, trademarks, service marks, logos or similar indicia of Selventa, Inc.,
 * or, in the discretion of other licensors or authors of the program, the
 * name, trademarks, service marks, logos or similar indicia of such authors or
 * licensors, in any marketing or advertising materials relating to your
 * distribution of the program or any covered product. This restriction does
 * not waive or limit your obligation to keep intact all copyright notices set
 * forth in the program as delivered to you.
 *
 * If you distribute the program in whole or in part, or any modified version
 * of the program, and you assume contractual liability to the recipient with
 * respect to the program or modified version, then you will indemnify the
 * authors and licensors of the program for any liabilities that these
 * contractual assumptions directly impose on those licensors and authors.
 */
package org.openbel.framework.ws.model;

import javax.xml.bind.annotation.XmlRegistry;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the org.openbel.framework.ws.model
 * package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    /**
     * Create a new ObjectFactory that can be used to create new instances of
     * schema derived classes for package: org.openbel.framework.ws.model
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link AnnotationFilterCriteria }
     * 
     */
    public AnnotationFilterCriteria createAnnotationFilterCriteria() {
        return new AnnotationFilterCriteria();
    }

    /**
     * Create an instance of {@link KamNode }
     * 
     */
    public KamNode createKamNode() {
        return new KamNode();
    }

    /**
     * Create an instance of {@link Node }
     * 
     */
    public Node createNode() {
        return new Node();
    }

    /**
     * Create an instance of {@link SimplePath }
     * 
     */
    public SimplePath createSimplePath() {
        return new SimplePath();
    }

    /**
     * Create an instance of {@link FindPathsResponse }
     * 
     */
    public FindPathsResponse createFindPathsResponse() {
        return new FindPathsResponse();
    }

    /**
     * Create an instance of {@link GetBelDocumentsRequest }
     * 
     */
    public GetBelDocumentsRequest createGetBelDocumentsRequest() {
        return new GetBelDocumentsRequest();
    }

    /**
     * Create an instance of {@link GetCitationsResponse }
     * 
     */
    public GetCitationsResponse createGetCitationsResponse() {
        return new GetCitationsResponse();
    }

    /**
     * Create an instance of {@link AnnotationType }
     * 
     */
    public AnnotationType createAnnotationType() {
        return new AnnotationType();
    }

    /**
     * Create an instance of {@link MapDataRequest }
     * 
     */
    public MapDataRequest createMapDataRequest() {
        return new MapDataRequest();
    }

    /**
     * Create an instance of {@link FindEquivalencesRequest }
     * 
     */
    public FindEquivalencesRequest createFindEquivalencesRequest() {
        return new FindEquivalencesRequest();
    }

    /**
     * Create an instance of {@link GetAdjacentKamEdgesResponse }
     * 
     */
    public GetAdjacentKamEdgesResponse
            createGetAdjacentKamEdgesResponse() {
        return new GetAdjacentKamEdgesResponse();
    }

    /**
     * Create an instance of {@link GetNamespacesResponse }
     * 
     */
    public GetNamespacesResponse createGetNamespacesResponse() {
        return new GetNamespacesResponse();
    }

    /**
     * Create an instance of {@link GetBelDocumentsResponse }
     * 
     */
    public GetBelDocumentsResponse createGetBelDocumentsResponse() {
        return new GetBelDocumentsResponse();
    }

    /**
     * Create an instance of {@link FindNamespaceValuesResponse }
     * 
     */
    public FindNamespaceValuesResponse
            createFindNamespaceValuesResponse() {
        return new FindNamespaceValuesResponse();
    }

    /**
     * Create an instance of {@link Edge }
     * 
     */
    public Edge createEdge() {
        return new Edge();
    }

    /**
     * Create an instance of {@link ReleaseKamResponse }
     * 
     */
    public ReleaseKamResponse createReleaseKamResponse() {
        return new ReleaseKamResponse();
    }

    /**
     * Create an instance of {@link FindKamNodesByPatternsRequest }
     * 
     */
    public FindKamNodesByPatternsRequest
            createFindKamNodesByPatternsRequest() {
        return new FindKamNodesByPatternsRequest();
    }

    /**
     * Create an instance of {@link RelationshipTypeFilterCriteria }
     * 
     */
    public RelationshipTypeFilterCriteria
            createRelationshipTypeFilterCriteria() {
        return new RelationshipTypeFilterCriteria();
    }

    /**
     * Create an instance of {@link GetSupportingEvidenceResponse }
     * 
     */
    public GetSupportingEvidenceResponse
            createGetSupportingEvidenceResponse() {
        return new GetSupportingEvidenceResponse();
    }

    /**
     * Create an instance of {@link KamHandle }
     * 
     */
    public KamHandle createKamHandle() {
        return new KamHandle();
    }

    /**
     * Create an instance of {@link GetAdjacentKamNodesRequest }
     * 
     */
    public GetAdjacentKamNodesRequest createGetAdjacentKamNodesRequest() {
        return new GetAdjacentKamNodesRequest();
    }

    /**
     * Create an instance of {@link GetNamespacesRequest }
     * 
     */
    public GetNamespacesRequest createGetNamespacesRequest() {
        return new GetNamespacesRequest();
    }

    /**
     * Create an instance of {@link GetCatalogResponse }
     * 
     */
    public GetCatalogResponse createGetCatalogResponse() {
        return new GetCatalogResponse();
    }

    /**
     * Create an instance of {@link EdgeFilter }
     * 
     */
    public EdgeFilter createEdgeFilter() {
        return new EdgeFilter();
    }

    /**
     * Create an instance of {@link FilterCriteria }
     * 
     */
    public FilterCriteria createFilterCriteria() {
        return new FilterCriteria();
    }

    /**
     * Create an instance of {@link FindPathsRequest }
     * 
     */
    public FindPathsRequest createFindPathsRequest() {
        return new FindPathsRequest();
    }

    /**
     * Create an instance of {@link NamespaceValue }
     * 
     */
    public NamespaceValue createNamespaceValue() {
        return new NamespaceValue();
    }

    /**
     * Create an instance of {@link ResolveNodesRequest }
     * 
     */
    public ResolveNodesRequest createResolveNodesRequest() {
        return new ResolveNodesRequest();
    }

    /**
     * Create an instance of {@link Citation }
     * 
     */
    public Citation createCitation() {
        return new Citation();
    }

    /**
     * Create an instance of {@link FindNamespaceEquivalenceRequest }
     * 
     */
    public FindNamespaceEquivalenceRequest
            createFindNamespaceEquivalenceRequest() {
        return new FindNamespaceEquivalenceRequest();
    }

    /**
     * Create an instance of {@link GetNewInstanceRequest }
     * 
     */
    public GetNewInstanceRequest createGetNewInstanceRequest() {
        return new GetNewInstanceRequest();
    }

    /**
     * Create an instance of {@link IntersectKamsRequest }
     * 
     */
    public IntersectKamsRequest createIntersectKamsRequest() {
        return new IntersectKamsRequest();
    }

    /**
     * Create an instance of {@link FunctionTypeFilterCriteria }
     * 
     */
    public FunctionTypeFilterCriteria createFunctionTypeFilterCriteria() {
        return new FunctionTypeFilterCriteria();
    }

    /**
     * Create an instance of {@link ResolveNodesResponse }
     * 
     */
    public ResolveNodesResponse createResolveNodesResponse() {
        return new ResolveNodesResponse();
    }

    /**
     * Create an instance of {@link GetAdjacentKamNodesResponse }
     * 
     */
    public GetAdjacentKamNodesResponse
            createGetAdjacentKamNodesResponse() {
        return new GetAdjacentKamNodesResponse();
    }

    /**
     * Create an instance of {@link BelDocumentFilterCriteria }
     * 
     */
    public BelDocumentFilterCriteria createBelDocumentFilterCriteria() {
        return new BelDocumentFilterCriteria();
    }

    /**
     * Create an instance of {@link FindKamEdgesResponse }
     * 
     */
    public FindKamEdgesResponse createFindKamEdgesResponse() {
        return new FindKamEdgesResponse();
    }

    /**
     * Create an instance of {@link FindKamNodesByIdsResponse }
     * 
     */
    public FindKamNodesByIdsResponse createFindKamNodesByIdsResponse() {
        return new FindKamNodesByIdsResponse();
    }

    /**
     * Create an instance of {@link FindEquivalencesResponse }
     * 
     */
    public FindEquivalencesResponse createFindEquivalencesResponse() {
        return new FindEquivalencesResponse();
    }

    /**
     * Create an instance of {@link InterconnectRequest }
     * 
     */
    public InterconnectRequest createInterconnectRequest() {
        return new InterconnectRequest();
    }

    /**
     * Create an instance of {@link LoadKamRequest }
     * 
     */
    public LoadKamRequest createLoadKamRequest() {
        return new LoadKamRequest();
    }

    /**
     * Create an instance of {@link BelDocument }
     * 
     */
    public BelDocument createBelDocument() {
        return new BelDocument();
    }

    /**
     * Create an instance of {@link FindNamespaceValuesRequest }
     * 
     */
    public FindNamespaceValuesRequest createFindNamespaceValuesRequest() {
        return new FindNamespaceValuesRequest();
    }

    /**
     * Create an instance of {@link ScanRequest }
     * 
     */
    public ScanRequest createScanRequest() {
        return new ScanRequest();
    }

    /**
     * Create an instance of {@link FindKamNodesByLabelsRequest }
     * 
     */
    public FindKamNodesByLabelsRequest
            createFindKamNodesByLabelsRequest() {
        return new FindKamNodesByLabelsRequest();
    }

    /**
     * Create an instance of {@link DifferenceKamsRequest }
     * 
     */
    public DifferenceKamsRequest createDifferenceKamsRequest() {
        return new DifferenceKamsRequest();
    }

    /**
     * Create an instance of {@link GetNewInstanceResponse }
     * 
     */
    public GetNewInstanceResponse createGetNewInstanceResponse() {
        return new GetNewInstanceResponse();
    }

    /**
     * Create an instance of {@link GetKamResponse }
     * 
     */
    public GetKamResponse createGetKamResponse() {
        return new GetKamResponse();
    }

    /**
     * Create an instance of {@link GetSupportingTermsResponse }
     * 
     */
    public GetSupportingTermsResponse createGetSupportingTermsResponse() {
        return new GetSupportingTermsResponse();
    }

    /**
     * Create an instance of {@link GetAdjacentKamEdgesRequest }
     * 
     */
    public GetAdjacentKamEdgesRequest createGetAdjacentKamEdgesRequest() {
        return new GetAdjacentKamEdgesRequest();
    }

    /**
     * Create an instance of {@link Namespace }
     * 
     */
    public Namespace createNamespace() {
        return new Namespace();
    }

    /**
     * Create an instance of {@link GetKamRequest }
     * 
     */
    public GetKamRequest createGetKamRequest() {
        return new GetKamRequest();
    }

    /**
     * Create an instance of {@link MapDataResponse }
     * 
     */
    public MapDataResponse createMapDataResponse() {
        return new MapDataResponse();
    }

    /**
     * Create an instance of {@link GetSupportingTermsRequest }
     * 
     */
    public GetSupportingTermsRequest createGetSupportingTermsRequest() {
        return new GetSupportingTermsRequest();
    }

    /**
     * Create an instance of {@link FindKamNodesByPatternsResponse }
     * 
     */
    public FindKamNodesByPatternsResponse
            createFindKamNodesByPatternsResponse() {
        return new FindKamNodesByPatternsResponse();
    }

    /**
     * Create an instance of {@link CitationFilterCriteria }
     * 
     */
    public CitationFilterCriteria createCitationFilterCriteria() {
        return new CitationFilterCriteria();
    }

    /**
     * Create an instance of {@link FindKamEdgesRequest }
     * 
     */
    public FindKamEdgesRequest createFindKamEdgesRequest() {
        return new FindKamEdgesRequest();
    }

    /**
     * Create an instance of {@link GetBELFrameworkVersionResponse }
     * 
     */
    public GetBELFrameworkVersionResponse
            createGetBELFrameworkVersionResponse() {
        return new GetBELFrameworkVersionResponse();
    }

    /**
     * Create an instance of {@link Kam }
     * 
     */
    public Kam createKam() {
        return new Kam();
    }

    /**
     * Create an instance of {@link GetAnnotationTypesRequest }
     * 
     */
    public GetAnnotationTypesRequest createGetAnnotationTypesRequest() {
        return new GetAnnotationTypesRequest();
    }

    /**
     * Create an instance of {@link GetCatalogRequest }
     * 
     */
    public GetCatalogRequest createGetCatalogRequest() {
        return new GetCatalogRequest();
    }

    /**
     * Create an instance of {@link KamFilter }
     * 
     */
    public KamFilter createKamFilter() {
        return new KamFilter();
    }

    /**
     * Create an instance of {@link UnionKamsResponse }
     * 
     */
    public UnionKamsResponse createUnionKamsResponse() {
        return new UnionKamsResponse();
    }

    /**
     * Create an instance of {@link ScanResponse }
     * 
     */
    public ScanResponse createScanResponse() {
        return new ScanResponse();
    }

    /**
     * Create an instance of {@link ResolveEdgesRequest }
     * 
     */
    public ResolveEdgesRequest createResolveEdgesRequest() {
        return new ResolveEdgesRequest();
    }

    /**
     * Create an instance of {@link FindNamespaceEquivalenceResponse }
     * 
     */
    public FindNamespaceEquivalenceResponse
            createFindNamespaceEquivalenceResponse() {
        return new FindNamespaceEquivalenceResponse();
    }

    /**
     * Create an instance of {@link DifferenceKamsResponse }
     * 
     */
    public DifferenceKamsResponse createDifferenceKamsResponse() {
        return new DifferenceKamsResponse();
    }

    /**
     * Create an instance of {@link ReleaseKamRequest }
     * 
     */
    public ReleaseKamRequest createReleaseKamRequest() {
        return new ReleaseKamRequest();
    }

    /**
     * Create an instance of {@link KamEdge }
     * 
     */
    public KamEdge createKamEdge() {
        return new KamEdge();
    }

    /**
     * Create an instance of {@link GetAnnotationTypesResponse }
     * 
     */
    public GetAnnotationTypesResponse createGetAnnotationTypesResponse() {
        return new GetAnnotationTypesResponse();
    }

    /**
     * Create an instance of {@link NodeFilter }
     * 
     */
    public NodeFilter createNodeFilter() {
        return new NodeFilter();
    }

    /**
     * Create an instance of {@link BelTerm }
     * 
     */
    public BelTerm createBelTerm() {
        return new BelTerm();
    }

    /**
     * Create an instance of {@link FunctionReturnTypeFilterCriteria }
     * 
     */
    public FunctionReturnTypeFilterCriteria
            createFunctionReturnTypeFilterCriteria() {
        return new FunctionReturnTypeFilterCriteria();
    }

    /**
     * Create an instance of {@link GetSupportingEvidenceRequest }
     * 
     */
    public GetSupportingEvidenceRequest
            createGetSupportingEvidenceRequest() {
        return new GetSupportingEvidenceRequest();
    }

    /**
     * Create an instance of {@link ResolveEdgesResponse }
     * 
     */
    public ResolveEdgesResponse createResolveEdgesResponse() {
        return new ResolveEdgesResponse();
    }

    /**
     * Create an instance of {@link DialectHandle }
     * 
     */
    public DialectHandle createDialectHandle() {
        return new DialectHandle();
    }

    /**
     * Create an instance of {@link FindKamNodesByIdsRequest }
     * 
     */
    public FindKamNodesByIdsRequest createFindKamNodesByIdsRequest() {
        return new FindKamNodesByIdsRequest();
    }

    /**
     * Create an instance of {@link IntersectKamsResponse }
     * 
     */
    public IntersectKamsResponse createIntersectKamsResponse() {
        return new IntersectKamsResponse();
    }

    /**
     * Create an instance of {@link BelStatement }
     * 
     */
    public BelStatement createBelStatement() {
        return new BelStatement();
    }

    /**
     * Create an instance of {@link InterconnectResponse }
     * 
     */
    public InterconnectResponse createInterconnectResponse() {
        return new InterconnectResponse();
    }

    /**
     * Create an instance of {@link Annotation }
     * 
     */
    public Annotation createAnnotation() {
        return new Annotation();
    }

    /**
     * Create an instance of {@link FindKamNodesByLabelsResponse }
     * 
     */
    public FindKamNodesByLabelsResponse
            createFindKamNodesByLabelsResponse() {
        return new FindKamNodesByLabelsResponse();
    }

    /**
     * Create an instance of {@link UnionKamsRequest }
     * 
     */
    public UnionKamsRequest createUnionKamsRequest() {
        return new UnionKamsRequest();
    }

    /**
     * Create an instance of {@link GetCitationsRequest }
     * 
     */
    public GetCitationsRequest createGetCitationsRequest() {
        return new GetCitationsRequest();
    }

    /**
     * Create an instance of {@link NamespaceFilterCriteria }
     * 
     */
    public NamespaceFilterCriteria createNamespaceFilterCriteria() {
        return new NamespaceFilterCriteria();
    }

    /**
     * Create an instance of {@link EquivalenceId }
     * 
     */
    public EquivalenceId createEquivalenceId() {
        return new EquivalenceId();
    }

    /**
     * Create an instance of {@link LoadKamResponse }
     * 
     */
    public LoadKamResponse createLoadKamResponse() {
        return new LoadKamResponse();
    }

    /**
     * Create an instance of {@link GetCustomDialectRequest }
     * 
     */
    public GetCustomDialectRequest createGetCustomDialectRequest() {
        return new GetCustomDialectRequest();
    }

    /**
     * Create an instance of {@link GetCustomDialectResponse }
     * 
     */
    public GetCustomDialectResponse createGetCustomDialectResponse() {
        return new GetCustomDialectResponse();
    }

    /**
     * Create an instance of {@link GetDefaultDialectRequest }
     * 
     */
    public GetDefaultDialectRequest createGetDefaultDialectRequest() {
        return new GetDefaultDialectRequest();
    }

    /**
     * Create an instance of {@link GetDefaultDialectResponse }
     * 
     */
    public GetDefaultDialectResponse createGetDefaultDialectResponse() {
        return new GetDefaultDialectResponse();
    }

    /**
     * Create an instance of {@link ReleaseDialectRequest }
     * 
     */
    public ReleaseDialectRequest createReleaseDialectRequest() {
        return new ReleaseDialectRequest();
    }

    /**
     * Create an instance of {@link ReleaseDialectResponse }
     * 
     */
    public ReleaseDialectResponse createReleaseDialectResponse() {
        return new ReleaseDialectResponse();
    }

    /**
     * Create an instance of {@link FindKamNodesByNamespaceValuesRequest }
     * 
     */
    public FindKamNodesByNamespaceValuesRequest
            createFindKamNodesByNamespaceValuesRequest() {
        return new FindKamNodesByNamespaceValuesRequest();
    }

    /**
     * Create an instance of {@link FindKamNodesByNamespaceValuesResponse }
     * 
     */
    public FindKamNodesByNamespaceValuesResponse
            createFindKamNodesByNamespaceValuesResponse() {
        return new FindKamNodesByNamespaceValuesResponse();
    }

    /**
     * Create an instance of {@link NamespaceDescriptor }
     * 
     */
    public NamespaceDescriptor createNamespaceDescriptor() {
        return new NamespaceDescriptor();
    }

    /**
     * Create an instance of {@link GetAllNamespacesRequest }
     * 
     */
    public GetAllNamespacesRequest createGetAllNamespacesRequest() {
        return new GetAllNamespacesRequest();
    }

    /**
     * Create an instance of {@link GetAllNamespacesResponse }
     * 
     */
    public GetAllNamespacesResponse createGetAllNamespacesResponse() {
        return new GetAllNamespacesResponse();
    }
}
