/**
 * Copyright (C) 2012 Selventa, Inc.
 *
 * This file is part of the OpenBEL Framework.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The OpenBEL Framework is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with the OpenBEL Framework. If not, see <http://www.gnu.org/licenses/>.
 *
 * Additional Terms under LGPL v3:
 *
 * This license does not authorize you and you are prohibited from using the
 * name, trademarks, service marks, logos or similar indicia of Selventa, Inc.,
 * or, in the discretion of other licensors or authors of the program, the
 * name, trademarks, service marks, logos or similar indicia of such authors or
 * licensors, in any marketing or advertising materials relating to your
 * distribution of the program or any covered product. This restriction does
 * not waive or limit your obligation to keep intact all copyright notices set
 * forth in the program as delivered to you.
 *
 * If you distribute the program in whole or in part, or any modified version
 * of the program, and you assume contractual liability to the recipient with
 * respect to the program or modified version, then you will indemnify the
 * authors and licensors of the program for any liabilities that these
 * contractual assumptions directly impose on those licensors and authors.
 */
package org.openbel.framework.ws.model;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;

/**
 * This class was generated by the JAX-WS RI. JAX-WS RI 2.1.6 in JDK 6 Generated
 * source version: 2.1
 * 
 */
@WebService(name = "WebAPI", targetNamespace = "http://belframework.org/ws/schemas")
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
@XmlSeeAlso({ ObjectFactory.class })
public interface WebAPI {

    /**
     * 
     * @param getCatalogRequest
     * @return returns org.openbel.framework.ws.client.GetCatalogResponse
     */
    @WebMethod(operationName = "GetCatalog")
    @WebResult(name = "GetCatalogResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetCatalogResponse")
    public
            GetCatalogResponse
            getCatalog(
                    @WebParam(name = "GetCatalogRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetCatalogRequest") GetCatalogRequest getCatalogRequest);

    /**
     * 
     * @param getCustomDialectRequest
     * @return returns
     *         org.openbel.framework.ws.client.GetCustomDialectResponse
     */
    @WebMethod(operationName = "GetCustomDialect")
    @WebResult(name = "GetCustomDialectResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetCustomDialectResponse")
    public
            GetCustomDialectResponse
            getCustomDialect(
                    @WebParam(name = "GetCustomDialectRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetCustomDialectRequest") GetCustomDialectRequest getCustomDialectRequest);

    /**
     * 
     * @param getSupportingEvidenceRequest
     * @return returns
     *         org.openbel.framework.ws.client.GetSupportingEvidenceResponse
     */
    @WebMethod(operationName = "GetSupportingEvidence")
    @WebResult(name = "GetSupportingEvidenceResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetSupportingEvidenceResponse")
    public
            GetSupportingEvidenceResponse
            getSupportingEvidence(
                    @WebParam(name = "GetSupportingEvidenceRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetSupportingEvidenceRequest") GetSupportingEvidenceRequest getSupportingEvidenceRequest);

    /**
     * 
     * @param findKamEdgesRequest
     * @return returns org.openbel.framework.ws.client.FindKamEdgesResponse
     */
    @WebMethod(operationName = "FindKamEdges")
    @WebResult(name = "FindKamEdgesResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindKamEdgesResponse")
    public
            FindKamEdgesResponse
            findKamEdges(
                    @WebParam(name = "FindKamEdgesRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindKamEdgesRequest") FindKamEdgesRequest findKamEdgesRequest);

    /**
     * 
     * @param findEquivalencesRequest
     * @return returns
     *         org.openbel.framework.ws.client.FindEquivalencesResponse
     */
    @WebMethod(operationName = "FindEquivalences")
    @WebResult(name = "FindEquivalencesResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindEquivalencesResponse")
    public
            FindEquivalencesResponse
            findEquivalences(
                    @WebParam(name = "FindEquivalencesRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindEquivalencesRequest") FindEquivalencesRequest findEquivalencesRequest);

    /**
     * 
     * @param getKamRequest
     * @return returns org.openbel.framework.ws.client.GetKamResponse
     */
    @WebMethod(operationName = "GetKam")
    @WebResult(name = "GetKamResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetKamResponse")
    public
            GetKamResponse
            getKam(
                    @WebParam(name = "GetKamRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetKamRequest") GetKamRequest getKamRequest);

    /**
     * 
     * @param resolveNodesRequest
     * @return returns org.openbel.framework.ws.client.ResolveNodesResponse
     */
    @WebMethod(operationName = "ResolveNodes")
    @WebResult(name = "ResolveNodesResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "ResolveNodesResponse")
    public
            ResolveNodesResponse
            resolveNodes(
                    @WebParam(name = "ResolveNodesRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "ResolveNodesRequest") ResolveNodesRequest resolveNodesRequest);

    /**
     * 
     * @param getNewInstanceRequest
     * @return returns
     *         org.openbel.framework.ws.client.GetNewInstanceResponse
     */
    @WebMethod(operationName = "GetNewInstance")
    @WebResult(name = "GetNewInstanceResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetNewInstanceResponse")
    public
            GetNewInstanceResponse
            getNewInstance(
                    @WebParam(name = "GetNewInstanceRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetNewInstanceRequest") GetNewInstanceRequest getNewInstanceRequest);

    /**
     * 
     * @param releaseKamRequest
     * @return returns org.openbel.framework.ws.client.ReleaseKamResponse
     */
    @WebMethod(operationName = "ReleaseKam")
    @WebResult(name = "ReleaseKamResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "ReleaseKamResponse")
    public
            ReleaseKamResponse
            releaseKam(
                    @WebParam(name = "ReleaseKamRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "ReleaseKamRequest") ReleaseKamRequest releaseKamRequest);

    /**
     * 
     * @param findKamNodesByPatternsRequest
     * @return returns
     *         org.openbel.framework.ws.client.FindKamNodesByPatternsResponse
     */
    @WebMethod(operationName = "FindKamNodesByPatterns")
    @WebResult(name = "FindKamNodesByPatternsResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindKamNodesByPatternsResponse")
    public
            FindKamNodesByPatternsResponse
            findKamNodesByPatterns(
                    @WebParam(name = "FindKamNodesByPatternsRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindKamNodesByPatternsRequest") FindKamNodesByPatternsRequest findKamNodesByPatternsRequest);

    /**
     * 
     * @param getNamespacesRequest
     * @return returns org.openbel.framework.ws.client.GetNamespacesResponse
     */
    @WebMethod(operationName = "GetNamespaces")
    @WebResult(name = "GetNamespacesResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetNamespacesResponse")
    public
            GetNamespacesResponse
            getNamespaces(
                    @WebParam(name = "GetNamespacesRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetNamespacesRequest") GetNamespacesRequest getNamespacesRequest);

    /**
     * 
     * @param differenceKamsRequest
     * @return returns
     *         org.openbel.framework.ws.client.DifferenceKamsResponse
     */
    @WebMethod(operationName = "DifferenceKams")
    @WebResult(name = "DifferenceKamsResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "DifferenceKamsResponse")
    public
            DifferenceKamsResponse
            differenceKams(
                    @WebParam(name = "DifferenceKamsRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "DifferenceKamsRequest") DifferenceKamsRequest differenceKamsRequest);

    /**
     * 
     * @param intersectKamsRequest
     * @return returns org.openbel.framework.ws.client.IntersectKamsResponse
     */
    @WebMethod(operationName = "IntersectKams")
    @WebResult(name = "IntersectKamsResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "IntersectKamsResponse")
    public
            IntersectKamsResponse
            intersectKams(
                    @WebParam(name = "IntersectKamsRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "IntersectKamsRequest") IntersectKamsRequest intersectKamsRequest);

    /**
     * 
     * @param mapDataRequest
     * @return returns org.openbel.framework.ws.client.MapDataResponse
     * @deprecated use {@link #findKamNodesByNamespaceValues(FindKamNodesByNamespaceValuesRequest)}
     */
    @WebMethod(operationName = "MapData")
    @WebResult(name = "MapDataResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "MapDataResponse")
    @Deprecated
    public
            MapDataResponse
            mapData(
                    @WebParam(name = "MapDataRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "MapDataRequest") MapDataRequest mapDataRequest);

    /**
     * 
     * @param releaseDialectRequest
     * @return returns
     *         org.openbel.framework.ws.client.ReleaseDialectResponse
     */
    @WebMethod(operationName = "ReleaseDialect")
    @WebResult(name = "ReleaseDialectResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "ReleaseDialectResponse")
    public
            ReleaseDialectResponse
            releaseDialect(
                    @WebParam(name = "ReleaseDialectRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "ReleaseDialectRequest") ReleaseDialectRequest releaseDialectRequest);

    /**
     * 
     * @param findKamNodesByIdsRequest
     * @return returns
     *         org.openbel.framework.ws.client.FindKamNodesByIdsResponse
     */
    @WebMethod(operationName = "FindKamNodesByIds")
    @WebResult(name = "FindKamNodesByIdsResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindKamNodesByIdsResponse")
    public
            FindKamNodesByIdsResponse
            findKamNodesByIds(
                    @WebParam(name = "FindKamNodesByIdsRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindKamNodesByIdsRequest") FindKamNodesByIdsRequest findKamNodesByIdsRequest);

    /**
     * 
     * @param getBELFrameworkVersionRequest
     * @return returns
     *         org.openbel.framework.ws.client.GetBELFrameworkVersionResponse
     */
    @WebMethod(operationName = "GetBELFrameworkVersion")
    @WebResult(name = "GetBELFrameworkVersionResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetBELFrameworkVersionResponse")
    public
            GetBELFrameworkVersionResponse
            getBELFrameworkVersion(
                    @WebParam(name = "GetBELFrameworkVersionRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetBELFrameworkVersionRequest") Object getBELFrameworkVersionRequest);

    /**
     * 
     * @param resolveEdgesRequest
     * @return returns org.openbel.framework.ws.client.ResolveEdgesResponse
     */
    @WebMethod(operationName = "ResolveEdges")
    @WebResult(name = "ResolveEdgesResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "ResolveEdgesResponse")
    public
            ResolveEdgesResponse
            resolveEdges(
                    @WebParam(name = "ResolveEdgesRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "ResolveEdgesRequest") ResolveEdgesRequest resolveEdgesRequest);

    /**
     * 
     * @param interconnectRequest
     * @return returns org.openbel.framework.ws.client.InterconnectResponse
     */
    @WebMethod(operationName = "Interconnect")
    @WebResult(name = "InterconnectResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "InterconnectResponse")
    public
            InterconnectResponse
            interconnect(
                    @WebParam(name = "InterconnectRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "InterconnectRequest") InterconnectRequest interconnectRequest);

    /**
     * 
     * @param getBelDocumentsRequest
     * @return returns
     *         org.openbel.framework.ws.client.GetBelDocumentsResponse
     */
    @WebMethod(operationName = "GetBelDocuments")
    @WebResult(name = "GetBelDocumentsResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetBelDocumentsResponse")
    public
            GetBelDocumentsResponse
            getBelDocuments(
                    @WebParam(name = "GetBelDocumentsRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetBelDocumentsRequest") GetBelDocumentsRequest getBelDocumentsRequest);

    /**
     * 
     * @param findNamespaceEquivalenceRequest
     * @return returns
     *         org.openbel.framework.ws.client.FindNamespaceEquivalenceResponse
     */
    @WebMethod(operationName = "FindNamespaceEquivalence")
    @WebResult(name = "FindNamespaceEquivalenceResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindNamespaceEquivalenceResponse")
    public
            FindNamespaceEquivalenceResponse
            findNamespaceEquivalence(
                    @WebParam(name = "FindNamespaceEquivalenceRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindNamespaceEquivalenceRequest") FindNamespaceEquivalenceRequest findNamespaceEquivalenceRequest);

    /**
     * 
     * @param getAnnotationTypesRequest
     * @return returns
     *         org.openbel.framework.ws.client.GetAnnotationTypesResponse
     */
    @WebMethod(operationName = "GetAnnotationTypes")
    @WebResult(name = "GetAnnotationTypesResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetAnnotationTypesResponse")
    public
            GetAnnotationTypesResponse
            getAnnotationTypes(
                    @WebParam(name = "GetAnnotationTypesRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetAnnotationTypesRequest") GetAnnotationTypesRequest getAnnotationTypesRequest);

    /**
     * 
     * @param findKamNodesByNamespaceValuesRequest
     * @return returns org.openbel.framework.ws.client.
     *         FindKamNodesByNamespaceValuesResponse
     */
    @WebMethod(operationName = "FindKamNodesByNamespaceValues")
    @WebResult(name = "FindKamNodesByNamespaceValuesResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindKamNodesByNamespaceValuesResponse")
    public
            FindKamNodesByNamespaceValuesResponse
            findKamNodesByNamespaceValues(
                    @WebParam(name = "FindKamNodesByNamespaceValuesRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindKamNodesByNamespaceValuesRequest") FindKamNodesByNamespaceValuesRequest findKamNodesByNamespaceValuesRequest);

    /**
     * 
     * @param findPathsRequest
     * @return returns org.openbel.framework.ws.client.FindPathsResponse
     */
    @WebMethod(operationName = "FindPaths")
    @WebResult(name = "FindPathsResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindPathsResponse")
    public
            FindPathsResponse
            findPaths(
                    @WebParam(name = "FindPathsRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindPathsRequest") FindPathsRequest findPathsRequest);

    /**
     * 
     * @param getAdjacentKamNodesRequest
     * @return returns
     *         org.openbel.framework.ws.client.GetAdjacentKamNodesResponse
     */
    @WebMethod(operationName = "GetAdjacentKamNodes")
    @WebResult(name = "GetAdjacentKamNodesResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetAdjacentKamNodesResponse")
    public
            GetAdjacentKamNodesResponse
            getAdjacentKamNodes(
                    @WebParam(name = "GetAdjacentKamNodesRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetAdjacentKamNodesRequest") GetAdjacentKamNodesRequest getAdjacentKamNodesRequest);

    /**
     * 
     * @param unionKamsRequest
     * @return returns org.openbel.framework.ws.client.UnionKamsResponse
     */
    @WebMethod(operationName = "UnionKams")
    @WebResult(name = "UnionKamsResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "UnionKamsResponse")
    public
            UnionKamsResponse
            unionKams(
                    @WebParam(name = "UnionKamsRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "UnionKamsRequest") UnionKamsRequest unionKamsRequest);

    /**
     * 
     * @param getCitationsRequest
     * @return returns org.openbel.framework.ws.client.GetCitationsResponse
     */
    @WebMethod(operationName = "GetCitations")
    @WebResult(name = "GetCitationsResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetCitationsResponse")
    public
            GetCitationsResponse
            getCitations(
                    @WebParam(name = "GetCitationsRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetCitationsRequest") GetCitationsRequest getCitationsRequest);

    /**
     * 
     * @param getDefaultDialectRequest
     * @return returns
     *         org.openbel.framework.ws.client.GetDefaultDialectResponse
     */
    @WebMethod(operationName = "GetDefaultDialect")
    @WebResult(name = "GetDefaultDialectResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetDefaultDialectResponse")
    public
            GetDefaultDialectResponse
            getDefaultDialect(
                    @WebParam(name = "GetDefaultDialectRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetDefaultDialectRequest") GetDefaultDialectRequest getDefaultDialectRequest);

    /**
     * 
     * @param getSupportingTermsRequest
     * @return returns
     *         org.openbel.framework.ws.client.GetSupportingTermsResponse
     */
    @WebMethod(operationName = "GetSupportingTerms")
    @WebResult(name = "GetSupportingTermsResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetSupportingTermsResponse")
    public
            GetSupportingTermsResponse
            getSupportingTerms(
                    @WebParam(name = "GetSupportingTermsRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetSupportingTermsRequest") GetSupportingTermsRequest getSupportingTermsRequest);

    /**
     * 
     * @param findNamespaceValuesRequest
     * @return returns
     *         org.openbel.framework.ws.client.FindNamespaceValuesResponse
     */
    @WebMethod(operationName = "FindNamespaceValues")
    @WebResult(name = "FindNamespaceValuesResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindNamespaceValuesResponse")
    public
            FindNamespaceValuesResponse
            findNamespaceValues(
                    @WebParam(name = "FindNamespaceValuesRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindNamespaceValuesRequest") FindNamespaceValuesRequest findNamespaceValuesRequest);

    /**
     * 
     * @param findKamNodesByLabelsRequest
     * @return returns
     *         org.openbel.framework.ws.client.FindKamNodesByLabelsResponse
     */
    @WebMethod(operationName = "FindKamNodesByLabels")
    @WebResult(name = "FindKamNodesByLabelsResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindKamNodesByLabelsResponse")
    public
            FindKamNodesByLabelsResponse
            findKamNodesByLabels(
                    @WebParam(name = "FindKamNodesByLabelsRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "FindKamNodesByLabelsRequest") FindKamNodesByLabelsRequest findKamNodesByLabelsRequest);

    /**
     * 
     * @param getAllNamespacesRequest
     * @return returns
     *         org.openbel.framework.ws.client.GetAllNamespacesResponse
     */
    @WebMethod(operationName = "GetAllNamespaces")
    @WebResult(name = "GetAllNamespacesResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetAllNamespacesResponse")
    public
            GetAllNamespacesResponse
            getAllNamespaces(
                    @WebParam(name = "GetAllNamespacesRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetAllNamespacesRequest") GetAllNamespacesRequest getAllNamespacesRequest);

    /**
     * 
     * @param scanRequest
     * @return returns org.openbel.framework.ws.client.ScanResponse
     */
    @WebMethod(operationName = "Scan")
    @WebResult(name = "ScanResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "ScanResponse")
    public
            ScanResponse
            scan(
                    @WebParam(name = "ScanRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "ScanRequest") ScanRequest scanRequest);

    /**
     * 
     * @param loadKamRequest
     * @return returns org.openbel.framework.ws.client.LoadKamResponse
     */
    @WebMethod(operationName = "LoadKam")
    @WebResult(name = "LoadKamResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "LoadKamResponse")
    public
            LoadKamResponse
            loadKam(
                    @WebParam(name = "LoadKamRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "LoadKamRequest") LoadKamRequest loadKamRequest);

    /**
     * 
     * @param getAdjacentKamEdgesRequest
     * @return returns
     *         org.openbel.framework.ws.client.GetAdjacentKamEdgesResponse
     */
    @WebMethod(operationName = "GetAdjacentKamEdges")
    @WebResult(name = "GetAdjacentKamEdgesResponse", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetAdjacentKamEdgesResponse")
    public
            GetAdjacentKamEdgesResponse
            getAdjacentKamEdges(
                    @WebParam(name = "GetAdjacentKamEdgesRequest", targetNamespace = "http://belframework.org/ws/schemas", partName = "GetAdjacentKamEdgesRequest") GetAdjacentKamEdgesRequest getAdjacentKamEdgesRequest);

}
