/**
 * Copyright (C) 2012 Selventa, Inc.
 *
 * This file is part of the OpenBEL Framework.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The OpenBEL Framework is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with the OpenBEL Framework. If not, see <http://www.gnu.org/licenses/>.
 *
 * Additional Terms under LGPL v3:
 *
 * This license does not authorize you and you are prohibited from using the
 * name, trademarks, service marks, logos or similar indicia of Selventa, Inc.,
 * or, in the discretion of other licensors or authors of the program, the
 * name, trademarks, service marks, logos or similar indicia of such authors or
 * licensors, in any marketing or advertising materials relating to your
 * distribution of the program or any covered product. This restriction does
 * not waive or limit your obligation to keep intact all copyright notices set
 * forth in the program as delivered to you.
 *
 * If you distribute the program in whole or in part, or any modified version
 * of the program, and you assume contractual liability to the recipient with
 * respect to the program or modified version, then you will indemnify the
 * authors and licensors of the program for any liabilities that these
 * contractual assumptions directly impose on those licensors and authors.
 */
package org.openbel.framework.ws.model;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;

/**
 * This class was generated by the JAX-WS RI. JAX-WS RI 2.1.6 in JDK 6 Generated
 * source version: 2.1
 * 
 */
@WebServiceClient(name = "WebAPIService", targetNamespace = "http://belframework.org/ws/schemas", wsdlLocation = "http://localhost:8080/openbel-ws/belframework.wsdl")
public class WebAPIService extends Service {

    private final static URL WEBAPISERVICE_WSDL_LOCATION;
    private final static Logger logger = Logger
            .getLogger(org.openbel.framework.ws.model.WebAPIService.class
                    .getName());

    static {
        URL url = null;
        try {
            URL baseUrl;
            baseUrl = org.openbel.framework.ws.model.WebAPIService.class
                    .getResource(".");
            url =
                    new URL(baseUrl,
                            "http://localhost:8080/openbel-ws/belframework.wsdl");
        } catch (MalformedURLException e) {
            logger.warning("Failed to create URL for the wsdl Location: 'http://localhost:8080/openbel-ws/belframework.wsdl', retrying as a local file");
            logger.warning(e.getMessage());
        }
        WEBAPISERVICE_WSDL_LOCATION = url;
    }

    public WebAPIService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public WebAPIService() {
        super(WEBAPISERVICE_WSDL_LOCATION, new QName(
                "http://belframework.org/ws/schemas", "WebAPIService"));
    }

    /**
     * 
     * @return returns WebAPI
     */
    @WebEndpoint(name = "WebAPISoap11")
    public WebAPI getWebAPISoap11() {
        return super.getPort(new QName("http://belframework.org/ws/schemas",
                "WebAPISoap11"), WebAPI.class);
    }

    /**
     * 
     * @param features A list of {@link javax.xml.ws.WebServiceFeature} to
     *            configure on the proxy. Supported features not in the
     *            <code>features</code> parameter will have their default
     *            values.
     * @return returns WebAPI
     */
    @WebEndpoint(name = "WebAPISoap11")
    public WebAPI getWebAPISoap11(WebServiceFeature... features) {
        return super.getPort(new QName("http://belframework.org/ws/schemas",
                "WebAPISoap11"), WebAPI.class, features);
    }

}
